Package Manager returns error 1

Problem description:

When attempting to install required packages (automatically thru import or manually thru “Packages”), I recieve the error:

'metadata'

Exit status 1

Expected behavior:

Normal install of packages

Actual behavior:

As described

Steps to reproduce:

Try to install packages (for example: telegram)

Bug appears at this link:

https://replit.com/@mcgiwer/Spotify-bot-for-Telegram?s=app

OS: Android
**Device (Android, iOS, NA leave blank) **: Android
Desktop app version (Avatar menu->“Version”) or NA: NA
Plan (Free, Hacker, Pro Plan): Free

Try running:

poetry lock

in the shell.

Result:

Updating dependencies
Resolving dependencies...

'metadata'

Try going to pyproject.toml file and commenting out or removing the readme variable line.

poetry.lock could be corrupted. You could try restoring it in File History, or just delete it and poetry will regenerate it: except you might want to first make the version constraints for your existing pyproject.toml dependencies stricter so you don’t let it install breaking changes in your dependencies.

I had solved it by removing everything except the python code I wrote and the both replit files (.replit and replit.replit.nix)

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.